Package org.eclipse.birt.chart.script.api

# Interface IComponentFactory

public interface IComponentFactory
Provides methods for creating simple API classes

## Method Summary

Modifier and Type
Method
Description
`IDateTimeDataElement`
`createDateTimeElement(long date)`
Creates datetime data element
`IDateTimeDataElement`
`createDateTimeElement(com.ibm.icu.util.Calendar date)`
Creates datetime data element
`INumberDataElement`
`createNumberElement(double value)`
Creates numeric data element

## Method Details

### createNumberElement

INumberDataElement createNumberElement(double value)
Creates numeric data element

Parameters:
  `value` - double value
Returns:
  numeric data element

### createDateTimeElement

IDateTimeDataElement createDateTimeElement(long date)
Creates datetime data element

Parameters:
  `date` - long Date
Returns:
  datetime data element

### createDateTimeElement

IDateTimeDataElement createDateTimeElement(com.ibm.icu.util.Calendar date)
Creates datetime data element

Parameters:
  `date` - calendar
Returns:
  datetime data element